summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authordakkar <dakkar@thenautilus.net>2009-09-07 11:12:30 +0200
committerdakkar <dakkar@thenautilus.net>2009-09-07 11:12:30 +0200
commit85533c6bea77749261db8680472eed70c0ae3048 (patch)
tree824668089eaffc1f9c59aa5680d4c03925e766e0
parentadd ebuild link and confirm that instructions work (diff)
downloadthenautilus-85533c6bea77749261db8680472eed70c0ae3048.tar.gz
thenautilus-85533c6bea77749261db8680472eed70c0ae3048.tar.bz2
thenautilus-85533c6bea77749261db8680472eed70c0ae3048.zip
add --send option, to upload results to server
-rwxr-xr-xdoit.sh15
1 files changed, 12 insertions, 3 deletions
diff --git a/doit.sh b/doit.sh
index d7ae2df..13722aa 100755
--- a/doit.sh
+++ b/doit.sh
@@ -6,15 +6,24 @@ else
command="perl -I/home/dakkar/src/WebCoso/lib/ /home/dakkar/src/WebCoso/script/webcoso.pl"
fi
+if [[ "$*" = '--send' ]]; then
+ do_send=1
+ shift
+fi
+
if ! $command -s src/ -d output -I templates/ "$@"; then
- echo "Something wrong: $!" >&2
+ echo "Something wrong: $?" >&2
exit 1
fi
-if [[ "$*" != '--clean' ]]; then
+if [[ "$*" = '--clean' ]]; then
+ rm -rf /var/www/localhost/htdocs/*
+else
rsync -r output/ /var/www/localhost/htdocs/
rsync -r additions/ /var/www/localhost/htdocs/
rsync /usr/share/doc/docutils-*/html/html4css1.css /var/www/localhost/htdocs/
fi
-
+if [[ "$do_send" = '1' ]]; then
+ rsync -rv /var/www/localhost/htdocs/ luxion:/var/www/thenautilus/htdocs/
+fi